/*	Allows to open Jmol models on request, in a div
	
	Available from  http://biomodel.uah.es/Jmol/  and  http://wiki.jmol.org/ 
	Author: Angel Herrez.  Version 2019.11.28
	
	This template is offered freely for anyone to use or adapt it, 
	according to Creative Commons Attribution-ShareAlike 3.0 License,
	http://creativecommons.org/licenses/by-sa/3.0/
*/

var JmolPath = "../../../JSmol/";
var JmolSize = 300;
var JmolWinWidth = JmolSize+10;
var JmolWinHeight = JmolSize+54;
var JmolInfo = {
	width: JmolSize,
	height: JmolSize,
	j2sPath: JmolPath + "j2s",
	color:'black',
	use:"html5"
}

document.writeln('<script src="' + JmolPath + 'JSmol.min.js" type="text/javascript"><' + '/script>')

function putJmolDiv(molNr, molName, molFileName) {
	var imageFileName = molFileName.substring(0,molFileName.lastIndexOf(".")) + ".jpg";
	var tx = '<div id="Jmol' + molNr + '" class="JmolDiv" style="width:' + JmolSize + 'px; height:' + JmolSize + 'px;">'
	tx += '<img src="' + imageFileName + '"><br>'
	tx += 'You can get a 3-dimensional model of the Cholesterol molecule that you can manipulate. '
	tx += 'It uses the Jmol applet. This may take quite a time to download if you do not '
	tx += 'already have it in cache. If you want to see that model, click '
	tx += '<a href="javascript:void(popInJmol(' + molNr + ', \'' + molName + '\', \'' + molFileName + '\'))">here</a></div>'
	document.writeln(tx)
}

function popInJmol(n,molName,fileName) {
	$("#Jmol"+n).html(Jmol.getAppletHtml("myJmol"+n, JmolInfo));
	Jmol.script( window["myJmol"+n], "load "+fileName+";set echo top center;color echo yellow;echo "+molName);
}
